org.apache.poi.sl.draw.binding

## Class CTGeomGuide

- java.lang.Object
- - org.apache.poi.sl.draw.binding.CTGeomGuide

-     public class CTGeomGuide
      extends java.lang.Object

  Java class for CT_GeomGuide complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="CT_GeomGuide">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <attribute name="name" use="required" type="{http://schemas.openxmlformats.org/drawingml/2006/main}ST_GeomGuideName" />
             <attribute name="fmla" use="required" type="{http://schemas.openxmlformats.org/drawingml/2006/main}ST_GeomGuideFormula" />
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `fmla`
    `protected java.lang.String` | `name`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CTGeomGuide()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getFmla()` Gets the value of the fmla property.
    `java.lang.String` | `getName()` Gets the value of the name property.
    `boolean` | `isSetFmla()`
    `boolean` | `isSetName()`
    `void` | `setFmla(java.lang.String value)` Sets the value of the fmla property.
    `void` | `setName(java.lang.String value)` Sets the value of the name property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### name

          protected java.lang.String name

    - #### fmla

          protected java.lang.String fmla

  - ### Constructor Detail

    - #### CTGeomGuide

          public CTGeomGuide()

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Gets the value of the name property.
      Returns:
        possible object is `String`

    - #### setName

          public void setName(java.lang.String value)

      Sets the value of the name property.
      Parameters:
        `value` - allowed object is `String`

    - #### isSetName

          public boolean isSetName()

    - #### getFmla

          public java.lang.String getFmla()

      Gets the value of the fmla property.
      Returns:
        possible object is `String`

    - #### setFmla

          public void setFmla(java.lang.String value)

      Sets the value of the fmla property.
      Parameters:
        `value` - allowed object is `String`

    - #### isSetFmla

          public boolean isSetFmla()

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.